DescriptorProtos.MethodDescriptorProto.Builder
Date: 2017-07-08

com.google.protobuf

## Class DescriptorProtos.MethodDescriptorProto.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>
      - - com.google.protobuf.DescriptorProtos.MethodDescriptorProto.Builder

- All Implemented Interfaces:
    DescriptorProtos.MethodDescriptorProtoOrBuilder, Message.Builder, MessageLite.Builder, MessageLiteOrBuilder, MessageOrBuilder, java.lang.Cloneable
  Enclosing class:
    DescriptorProtos.MethodDescriptorProto

      public static final class DescriptorProtos.MethodDescriptorProto.Builder
      extends GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>
      implements DescriptorProtos.MethodDescriptorProtoOrBuilder

       Describes a method of a service.

  Protobuf type `google.protobuf.MethodDescriptorProto`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescriptorProtos.MethodDescriptorProto.Builder` | `addRepeatedField(Descriptors.FieldDescriptor field, java.lang.Object value)` Like `setRepeatedField`, but appends the value as a new element.
    `DescriptorProtos.MethodDescriptorProto` | `build()` Constructs the message based on the state of the Builder.
    `DescriptorProtos.MethodDescriptorProto` | `buildPartial()` Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
    `DescriptorProtos.MethodDescriptorProto.Builder` | `clear()` Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
    `DescriptorProtos.MethodDescriptorProto.Builder` | `clearClientStreaming()` Identifies if client streams multiple client messages
    `DescriptorProtos.MethodDescriptorProto.Builder` | `clearField(Descriptors.FieldDescriptor field)` Clears the field.
    `DescriptorProtos.MethodDescriptorProto.Builder` | `clearInputType()` Input and output type names.
    `DescriptorProtos.MethodDescriptorProto.Builder` | `clearName()` `optional string name = 1;`
    `DescriptorProtos.MethodDescriptorProto.Builder` | `clearOneof(Descriptors.OneofDescriptor oneof)` TODO(jieluo): Clear it when all subclasses have implemented this method.
    `DescriptorProtos.MethodDescriptorProto.Builder` | `clearOptions()` `optional .google.protobuf.MethodOptions options = 4;`
    `DescriptorProtos.MethodDescriptorProto.Builder` | `clearOutputType()` `optional string output_type = 3;`
    `DescriptorProtos.MethodDescriptorProto.Builder` | `clearServerStreaming()` Identifies if server streams multiple server messages
    `DescriptorProtos.MethodDescriptorProto.Builder` | `clone()` Clones the Builder.
    `boolean` | `getClientStreaming()` Identifies if client streams multiple client messages
    `DescriptorProtos.MethodDescriptorProto` | `getDefaultInstanceForType()` Get an instance of the type with no fields set.
    `static Descriptors.Descriptor` | `getDescriptor()`
    `Descriptors.Descriptor` | `getDescriptorForType()` Get the message's type's descriptor.
    `java.lang.String` | `getInputType()` Input and output type names.
    `ByteString` | `getInputTypeBytes()` Input and output type names.
    `java.lang.String` | `getName()` `optional string name = 1;`
    `ByteString` | `getNameBytes()` `optional string name = 1;`
    `DescriptorProtos.MethodOptions` | `getOptions()` `optional .google.protobuf.MethodOptions options = 4;`
    `DescriptorProtos.MethodOptions.Builder` | `getOptionsBuilder()` `optional .google.protobuf.MethodOptions options = 4;`
    `DescriptorProtos.MethodOptionsOrBuilder` | `getOptionsOrBuilder()` `optional .google.protobuf.MethodOptions options = 4;`
    `java.lang.String` | `getOutputType()` `optional string output_type = 3;`
    `ByteString` | `getOutputTypeBytes()` `optional string output_type = 3;`
    `boolean` | `getServerStreaming()` Identifies if server streams multiple server messages
    `boolean` | `hasClientStreaming()` Identifies if client streams multiple client messages
    `boolean` | `hasInputType()` Input and output type names.
    `boolean` | `hasName()` `optional string name = 1;`
    `boolean` | `hasOptions()` `optional .google.protobuf.MethodOptions options = 4;`
    `boolean` | `hasOutputType()` `optional string output_type = 3;`
    `boolean` | `hasServerStreaming()` Identifies if server streams multiple server messages
    `protected GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` Get the FieldAccessorTable for this type.
    `boolean` | `isInitialized()` Returns true if all required fields in the message and all embedded messages are set, false otherwise.
    `DescriptorProtos.MethodDescriptorProto.Builder` | `mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)` Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
    `DescriptorProtos.MethodDescriptorProto.Builder` | `mergeFrom(DescriptorProtos.MethodDescriptorProto other)`
    `DescriptorProtos.MethodDescriptorProto.Builder` | `mergeFrom(Message other)` Merge `other` into the message being built.
    `DescriptorProtos.MethodDescriptorProto.Builder` | `mergeOptions(DescriptorProtos.MethodOptions value)` `optional .google.protobuf.MethodOptions options = 4;`
    `DescriptorProtos.MethodDescriptorProto.Builder` | `mergeUnknownFields(UnknownFieldSet unknownFields)` Merge some unknown fields into the `UnknownFieldSet` for this message.
    `DescriptorProtos.MethodDescriptorProto.Builder` | `setClientStreaming(boolean value)` Identifies if client streams multiple client messages
    `DescriptorProtos.MethodDescriptorProto.Builder` | `setField(Descriptors.FieldDescriptor field, java.lang.Object value)` Sets a field to the given value.
    `DescriptorProtos.MethodDescriptorProto.Builder` | `setInputType(java.lang.String value)` Input and output type names.
    `DescriptorProtos.MethodDescriptorProto.Builder` | `setInputTypeBytes(ByteString value)` Input and output type names.
    `DescriptorProtos.MethodDescriptorProto.Builder` | `setName(java.lang.String value)` `optional string name = 1;`
    `DescriptorProtos.MethodDescriptorProto.Builder` | `setNameBytes(ByteString value)` `optional string name = 1;`
    `DescriptorProtos.MethodDescriptorProto.Builder` | `setOptions(DescriptorProtos.MethodOptions.Builder builderForValue)` `optional .google.protobuf.MethodOptions options = 4;`
    `DescriptorProtos.MethodDescriptorProto.Builder` | `setOptions(DescriptorProtos.MethodOptions value)` `optional .google.protobuf.MethodOptions options = 4;`
    `DescriptorProtos.MethodDescriptorProto.Builder` | `setOutputType(java.lang.String value)` `optional string output_type = 3;`
    `DescriptorProtos.MethodDescriptorProto.Builder` | `setOutputTypeBytes(ByteString value)` `optional string output_type = 3;`
    `DescriptorProtos.MethodDescriptorProto.Builder` | `setRepeatedField(Descriptors.FieldDescriptor field, int index, java.lang.Object value)` Sets an element of a repeated field to the given value.
    `DescriptorProtos.MethodDescriptorProto.Builder` | `setServerStreaming(boolean value)` Identifies if server streams multiple server messages
    `DescriptorProtos.MethodDescriptorProto.Builder` | `setUnknownFields(UnknownFieldSet unknownFields)` Set the `UnknownFieldSet` for this message.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

      `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Description copied from class: `GeneratedMessageV3.Builder`
      Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.
      Specified by:
        `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`

    - #### clear

          public DescriptorProtos.MethodDescriptorProto.Builder clear()

      Description copied from class: `GeneratedMessageV3.Builder`
      Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
      Specified by:
        `clear` in interface `Message.Builder`
      Specified by:
        `clear` in interface `MessageLite.Builder`
      Overrides:
        `clear` in class `GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`

    - #### getDescriptorForType

          public Descriptors.Descriptor getDescriptorForType()

      Description copied from interface: `Message.Builder`
      Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.
      Specified by:
        `getDescriptorForType` in interface `Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`

    - #### getDefaultInstanceForType

          public DescriptorProtos.MethodDescriptorProto getDefaultInstanceForType()

      Description copied from interface: `MessageLiteOrBuilder`
      Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.
      Specified by:
        `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `MessageOrBuilder`

    - #### build

          public DescriptorProtos.MethodDescriptorProto build()

      Description copied from interface: `MessageLite.Builder`
      Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.
      Specified by:
        `build` in interface `Message.Builder`
      Specified by:
        `build` in interface `MessageLite.Builder`

    - #### buildPartial

          public DescriptorProtos.MethodDescriptorProto buildPartial()

      Description copied from interface: `MessageLite.Builder`
      Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.
      Specified by:
        `buildPartial` in interface `Message.Builder`
      Specified by:
        `buildPartial` in interface `MessageLite.Builder`

    - #### clone

          public DescriptorProtos.MethodDescriptorProto.Builder clone()

      Description copied from interface: `MessageLite.Builder`
      Clones the Builder.
      Specified by:
        `clone` in interface `Message.Builder`
      Specified by:
        `clone` in interface `MessageLite.Builder`
      Overrides:
        `clone` in class `GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`
      See Also:
        `Object.clone()`

    - #### setField

          public DescriptorProtos.MethodDescriptorProto.Builder setField(Descriptors.FieldDescriptor field,
                                                                java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Sets a field to the given value. The value must be of the correct type for this field, i.e. the same type that `MessageOrBuilder.getField(Descriptors.FieldDescriptor)` would return.
      Specified by:
        `setField` in interface `Message.Builder`
      Overrides:
        `setField` in class `GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`

    - #### clearField

          public DescriptorProtos.MethodDescriptorProto.Builder clearField(Descriptors.FieldDescriptor field)

      Description copied from interface: `Message.Builder`
      Clears the field. This is exactly equivalent to calling the generated "clear" accessor method corresponding to the field.
      Specified by:
        `clearField` in interface `Message.Builder`
      Overrides:
        `clearField` in class `GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`

    - #### clearOneof

          public DescriptorProtos.MethodDescriptorProto.Builder clearOneof(Descriptors.OneofDescriptor oneof)

      Description copied from class: `AbstractMessage.Builder`
      TODO(jieluo): Clear it when all subclasses have implemented this method.
      Specified by:
        `clearOneof` in interface `Message.Builder`
      Overrides:
        `clearOneof` in class `GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`

    - #### setRepeatedField

          public DescriptorProtos.MethodDescriptorProto.Builder setRepeatedField(Descriptors.FieldDescriptor field,
                                                                        int index,
                                                                        java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Sets an element of a repeated field to the given value. The value must be of the correct type for this field, i.e. the same type that `MessageOrBuilder.getRepeatedField(Descriptors.FieldDescriptor,int)` would return.
      Specified by:
        `setRepeatedField` in interface `Message.Builder`
      Overrides:
        `setRepeatedField` in class `GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`

    - #### addRepeatedField

          public DescriptorProtos.MethodDescriptorProto.Builder addRepeatedField(Descriptors.FieldDescriptor field,
                                                                        java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Like `setRepeatedField`, but appends the value as a new element.
      Specified by:
        `addRepeatedField` in interface `Message.Builder`
      Overrides:
        `addRepeatedField` in class `GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`

    - #### mergeFrom

          public DescriptorProtos.MethodDescriptorProto.Builder mergeFrom(Message other)

      Description copied from interface: `Message.Builder`
      Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`). Merging occurs as follows. For each field:
      * For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
      * For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
      * For repeated fields, the elements in `other` are concatenated with the elements in this message. * For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved. This is equivalent to the `Message::MergeFrom` method in C++.
      Specified by:
        `mergeFrom` in interface `Message.Builder`
      Overrides:
        `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`

    - #### mergeFrom

          public DescriptorProtos.MethodDescriptorProto.Builder mergeFrom(DescriptorProtos.MethodDescriptorProto other)

    - #### isInitialized

          public final boolean isInitialized()

      Description copied from interface: `MessageLiteOrBuilder`
      Returns true if all required fields in the message and all embedded messages are set, false otherwise.

      See also: `MessageOrBuilder.getInitializationErrorString()`

      Specified by:
        `isInitialized` in interface `MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`

    - #### mergeFrom

          public DescriptorProtos.MethodDescriptorProto.Builder mergeFrom(CodedInputStream input,
                                                                 ExtensionRegistryLite extensionRegistry)
                                                                   throws java.io.IOException

      Description copied from interface: `MessageLite.Builder`
      Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.
      Specified by:
        `mergeFrom` in interface `Message.Builder`
      Specified by:
        `mergeFrom` in interface `MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasName

          public boolean hasName()

      `optional string name = 1;`
      Specified by:
        `hasName` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`

    - #### getName

          public java.lang.String getName()

      `optional string name = 1;`
      Specified by:
        `getName` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`

    - #### getNameBytes

          public ByteString getNameBytes()

      `optional string name = 1;`
      Specified by:
        `getNameBytes` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`

    - #### setName

          public DescriptorProtos.MethodDescriptorProto.Builder setName(java.lang.String value)

      `optional string name = 1;`

    - #### clearName

          public DescriptorProtos.MethodDescriptorProto.Builder clearName()

      `optional string name = 1;`

    - #### setNameBytes

          public DescriptorProtos.MethodDescriptorProto.Builder setNameBytes(ByteString value)

      `optional string name = 1;`

    - #### hasInputType

          public boolean hasInputType()

           Input and output type names.  These are resolved in the same way as
           FieldDescriptorProto.type_name, but must refer to a message type.

      `optional string input_type = 2;`
      Specified by:
        `hasInputType` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`

    - #### getInputType

          public java.lang.String getInputType()

           Input and output type names.  These are resolved in the same way as
           FieldDescriptorProto.type_name, but must refer to a message type.

      `optional string input_type = 2;`
      Specified by:
        `getInputType` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`

    - #### getInputTypeBytes

          public ByteString getInputTypeBytes()

           Input and output type names.  These are resolved in the same way as
           FieldDescriptorProto.type_name, but must refer to a message type.

      `optional string input_type = 2;`
      Specified by:
        `getInputTypeBytes` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`

    - #### setInputType

          public DescriptorProtos.MethodDescriptorProto.Builder setInputType(java.lang.String value)

           Input and output type names.  These are resolved in the same way as
           FieldDescriptorProto.type_name, but must refer to a message type.

      `optional string input_type = 2;`

    - #### clearInputType

          public DescriptorProtos.MethodDescriptorProto.Builder clearInputType()

           Input and output type names.  These are resolved in the same way as
           FieldDescriptorProto.type_name, but must refer to a message type.

      `optional string input_type = 2;`

    - #### setInputTypeBytes

          public DescriptorProtos.MethodDescriptorProto.Builder setInputTypeBytes(ByteString value)

           Input and output type names.  These are resolved in the same way as
           FieldDescriptorProto.type_name, but must refer to a message type.

      `optional string input_type = 2;`

    - #### hasOutputType

          public boolean hasOutputType()

      `optional string output_type = 3;`
      Specified by:
        `hasOutputType` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`

    - #### getOutputType

          public java.lang.String getOutputType()

      `optional string output_type = 3;`
      Specified by:
        `getOutputType` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`

    - #### getOutputTypeBytes

          public ByteString getOutputTypeBytes()

      `optional string output_type = 3;`
      Specified by:
        `getOutputTypeBytes` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`

    - #### setOutputType

          public DescriptorProtos.MethodDescriptorProto.Builder setOutputType(java.lang.String value)

      `optional string output_type = 3;`

    - #### clearOutputType

          public DescriptorProtos.MethodDescriptorProto.Builder clearOutputType()

      `optional string output_type = 3;`

    - #### setOutputTypeBytes

          public DescriptorProtos.MethodDescriptorProto.Builder setOutputTypeBytes(ByteString value)

      `optional string output_type = 3;`

    - #### hasOptions

          public boolean hasOptions()

      `optional .google.protobuf.MethodOptions options = 4;`
      Specified by:
        `hasOptions` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`

    - #### getOptions

          public DescriptorProtos.MethodOptions getOptions()

      `optional .google.protobuf.MethodOptions options = 4;`
      Specified by:
        `getOptions` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`

    - #### setOptions

          public DescriptorProtos.MethodDescriptorProto.Builder setOptions(DescriptorProtos.MethodOptions value)

      `optional .google.protobuf.MethodOptions options = 4;`

    - #### setOptions

          public DescriptorProtos.MethodDescriptorProto.Builder setOptions(DescriptorProtos.MethodOptions.Builder builderForValue)

      `optional .google.protobuf.MethodOptions options = 4;`

    - #### mergeOptions

          public DescriptorProtos.MethodDescriptorProto.Builder mergeOptions(DescriptorProtos.MethodOptions value)

      `optional .google.protobuf.MethodOptions options = 4;`

    - #### clearOptions

          public DescriptorProtos.MethodDescriptorProto.Builder clearOptions()

      `optional .google.protobuf.MethodOptions options = 4;`

    - #### getOptionsBuilder

          public DescriptorProtos.MethodOptions.Builder getOptionsBuilder()

      `optional .google.protobuf.MethodOptions options = 4;`

    - #### getOptionsOrBuilder

          public DescriptorProtos.MethodOptionsOrBuilder getOptionsOrBuilder()

      `optional .google.protobuf.MethodOptions options = 4;`
      Specified by:
        `getOptionsOrBuilder` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`

    - #### hasClientStreaming

          public boolean hasClientStreaming()

           Identifies if client streams multiple client messages

      `optional bool client_streaming = 5 [default = false];`
      Specified by:
        `hasClientStreaming` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`

    - #### getClientStreaming

          public boolean getClientStreaming()

           Identifies if client streams multiple client messages

      `optional bool client_streaming = 5 [default = false];`
      Specified by:
        `getClientStreaming` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`

    - #### setClientStreaming

          public DescriptorProtos.MethodDescriptorProto.Builder setClientStreaming(boolean value)

           Identifies if client streams multiple client messages

      `optional bool client_streaming = 5 [default = false];`

    - #### clearClientStreaming

          public DescriptorProtos.MethodDescriptorProto.Builder clearClientStreaming()

           Identifies if client streams multiple client messages

      `optional bool client_streaming = 5 [default = false];`

    - #### hasServerStreaming

          public boolean hasServerStreaming()

           Identifies if server streams multiple server messages

      `optional bool server_streaming = 6 [default = false];`
      Specified by:
        `hasServerStreaming` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`

    - #### getServerStreaming

          public boolean getServerStreaming()

           Identifies if server streams multiple server messages

      `optional bool server_streaming = 6 [default = false];`
      Specified by:
        `getServerStreaming` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`

    - #### setServerStreaming

          public DescriptorProtos.MethodDescriptorProto.Builder setServerStreaming(boolean value)

           Identifies if server streams multiple server messages

      `optional bool server_streaming = 6 [default = false];`

    - #### clearServerStreaming

          public DescriptorProtos.MethodDescriptorProto.Builder clearServerStreaming()

           Identifies if server streams multiple server messages

      `optional bool server_streaming = 6 [default = false];`

    - #### setUnknownFields

          public final DescriptorProtos.MethodDescriptorProto.Builder setUnknownFields(UnknownFieldSet unknownFields)

      Description copied from interface: `Message.Builder`
      Set the `UnknownFieldSet` for this message.
      Specified by:
        `setUnknownFields` in interface `Message.Builder`
      Overrides:
        `setUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`

    - #### mergeUnknownFields

          public final DescriptorProtos.MethodDescriptorProto.Builder mergeUnknownFields(UnknownFieldSet unknownFields)

      Description copied from interface: `Message.Builder`
      Merge some unknown fields into the `UnknownFieldSet` for this message.
      Specified by:
        `mergeUnknownFields` in interface `Message.Builder`
      Overrides:
        `mergeUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`